# Generated from better-initialize-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name better-initialize

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: A better ruby initialize
License: MIT
URL: https://github.com/huned/better-initialize
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(test-unit)
# BuildRequires: rubygem(byebug)
BuildArch: noarch

%description
# better-initialize
A friendlier, dependency-free initialize method for ruby objects.
## Usage
Gemfile:
gem 'better-initialize',
github: 'huned/better-initialize'
Code:
require 'better_initialize'
class Pizza
include BetterInitialize
attr_accessor :size, :toppings
end
# Instantiate with attributes.
Pizza.new(size: :large, toppings: %i[mushrooms peppers])
# Instantiate with attributes and a block.
Pizza.new(size: :large) do |pizza|
pizza.toppings = %w[mushrooms peppers]
Oven.bake!(pizza)
end
## Development Environment (OSX)
brew install rbenv ruby-build
git clone git@github.com:huned/better-initialize
rbenv install -k `cat .ruby-version`
bundle exec ruby test/run.rb.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/better_initialize.gemspec
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.1-1
- Initial package
